#!/bin/sh

# 
#  process Acid Rain Data
#   by = basecase = day specific
#   bl = baseline = generic
# bc05a=base case 2005 c. 08feb2006
#       01mar2006 - new Marvin afs (lots more records) plus lcp correction
#       20mar2006 - new Marvin afs ?
#  reg_osd is all except "all" TX and "all reg" ard
# c11jul2007 start cb05
# bc05b c29oct2007 - Marvin afs c25jun2007
# bc05c c08nov2007 - Marvin afs c07nov2007 (more 2005)
# bc05d c03dec2007 - Marvin afs c03dec2007 (minor update?)
# bc05e c29jan2008 - Marvin afs c28jan2008 (eliminate duplicate acid rain records from osd)
# bline05c c19aug2008 - Marvin afs c07aug2008
# bline05d c28aug2008 - Marvin afs c28aug2008
# bline05e c18dec2008 Marvin afs c18dec2008 - based on barryE 2005 cenrap
# bline06e c05mar2009 Marvin afs c25feb2009 - based on barryE 2005 cenrap - now 2006
#
# bcl06a c09Mar2011 RPO - MJ afs c02Mar2011 - Eastern_USA_osd_2006_for_3Q06_generic_from_2006CENRAP_lcpRPO.v2
# bcl06b c14Jun2011 RPO - Barry afs c05May2011 - USA_noTX_osd_2006_generic_from_2005NEIv4_lcpRPO.v1
# bcl06c c14Oct2011 RPO - Barry afs c01Sep2011 USA_noTX_osd_generic_CSAPR_2005NEIv2_lcpRPO.v1, 4pols
# test.spcems 17Jan2012 - only run conus_36km to check cb6 prof, xref, and conv
# b2008a c09Oct2012 - Barry's 25Sep2012 NEI 2008 /ei/point/NEI/2008/v2/CAP_BAFM/afs.2008NEIv2_noTX_noIPM_noRail_noAirport
# b2008a c03Jun2013 - Corrected to really use NEI 2008 profiles instead of old, CSAPR_2005
# fy2020a c7Oct2013 - 1 script for ar, la, ok, no* - Barry's 4Oct2013 afs.2020_noTX_nonIPM EPA projection from 2008 nei.
# b2008a 8Oct2013 - 1 script & new userins w/ all FIPS so no more outside region in conus36km.
#       16Oct2013 - split old reg_osd/no_arlaoktx into new west_azcaorwa & no_westarlaoktx due to pstpnt mxstk.
#       22Oct2013 - run 12km no_westarlaoktx & west_azcaorwa, but remove 12km west_azcaorwa post-EPS3.
# b2011b 15Apr2014 New west region and Barry's 11Apr2014 EPA platform /ei/point/NEI/2011based/2012/afs.2012_USA_noTX_noEGU.RPOlcp;
#                  Remove/skip userin for 12km west_azcaorwa                 
# b2012a 18Mar2016 2011v6.2 Based EPA Platform version afs.2012_USA_noTX_noEGU_v2.RPOlcp
# b2012b 19Jul2016 afs.2012_USA_noTX_noEGU_v3.RPOlcp, 19Jul2016 - Based on EPA Platform version 2011v6.2 
#    gns 08Feb2017 Same as above, but with conus_12km & rename yymmdd to wkday
# b2012c_negu 20Mar2017 afs.2012_USA_noTX_noEGU_v4.RPOlcp, BE 16Mar2017 - Based on EPA Platform version 2011v6.3
# b2012c_smegu 31Mar2017 afs.2012_USA_noTX_smallEGU_v1.RPOlcp, BE 21Mar2017 - Based on EPA Platform version 2011v6.3, non-Acid Rain EGUs; forece elev.
# b2012d_smegu 10Jan2019 same afs as c, but sync name to negu that has PM10 added.  
#              14Jan2019 subd bumpup, elevated only - conus_36km 
#

 USER_PATH=/ei/point/rpo_eps3/userin
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 subd=bumpup
 run_type=reg_osd
 base=b2012d_smegu

   
 for state in ar la ok no_arlaoktx
  do

    # conus_12km \
  for grid in \
    conus_36km \

   do

  tmprof_xref=ptxref_2012v3_USA_noTX
  tmprof=ptpro_2012v2_USA_noTX


 scenario=${state}_osd_${base}

 ugrid=${grid}_egu_${state}

  
  if [[ $grid = tx_4km && $state = west_azcaorwa ]] \
   || [[ $grid = tx_4km && $state = no_westarlaoktx ]] \
   || [[ $grid = tx_12km && $state = west_azcaorwa ]]
  then
     print "No tx_4km west/no_west; no 12km west"
     continue
   fi

 for spec in cb6p
  do

 case $spec in
 'cb05') fac_v=2006_v6a.pt.all ;;
 'cb6')  prof=gspro_CB6_CRITERIA_CAMX_3Mar2011
	 xref=xref
	 conv=pts.gscnv_CB6_10Jan2012 ;;
 'cb6p') prof=gspro_CB6_TEMPLATE_CAMX.17Mar2015
         xref=gsref_TEMPLATE.6Apr2016
         conv=gscnv_CB6_TEMPLATE.17Mar2015 ;;
 esac

 for yymmdd in \
     120608
 do

 afsin=afs.reg_osd.${base}.${state}

 echo
 echo "today  yymmdd  grid scenario afsin ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv
 #cd $PT_PATH/chmspl/$run_type
 # run.chmspl.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario 'prepnt'

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 #cd $PT_PATH/grdem/$run_type
 # run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

  if [[ "$grid" = conus_12km || "$grid" = conus_36km ]]
    then
   echo $grid
   cd $PT_PATH/pstpnt/$run_type
    run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

   #cd $PT_PATH/pigems/$run_type
   # run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
  fi

 # Replace yymmdd with wkday
  rename $yymmdd avgday $PT_PATH/*/$run_type/*$scenario.$today    
  
 #Move output files to subdirectory
 for t in prepnt spcems tmprl grdem pstpnt
  do
 
   if [ ! -d  $PT_PATH/$t/$run_type/$subd ]; then
    mkdir -p $PT_PATH/$t/$run_type/$subd
   fi
   mv $PT_PATH/$t/$run_type/*$scenario.$today  $PT_PATH/$t/$run_type/$subd
   ls -l $PT_PATH/$t/$run_type/$subd
  done #t
 
 done
done
done
done
exit

